package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 0,已删除;1,正常;2,冻结;3,验证中
 */
public enum BankCardStatusEnum implements BaseEnum<Integer, BankCardStatusEnum> {
	DEL(0, "已删除"), SUCCESS(1, "正常"), FREEZE(2, "冻结"), WAIT_AUTH(3, "待验证");

	private Integer code;

	private String msg;

	BankCardStatusEnum(Integer code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public Integer getCode() {
		return this.code;
	}
}
